Get a request
curl --request GET \
--url https://api.fetchhive.com/v1/public/requests/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fetchhive.com/v1/public/requests/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fetchhive.com/v1/public/requests/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"request_id": "req_019b1ad1193763f2367afc4cda5ab9df",
"status": "completed",
"request_type": "prompt_completion",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requestable_type": "Completion",
"requestable_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message": "<string>",
"generated_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"metadata": {},
"user_metadata": {},
"data": {}
}{
"error": "Invalid access."
}{
"error": "Request not found"
}Requests
Get a request
Returns the status, type, and timing metadata for a run.
Pass the request_id returned when you invoked a prompt, workflow, agent, or Hive Agent.
GET
/
v1
/
public
/
requests
/
{id}
Get a request
Authorizations
Workspace API key sent as Authorization: Bearer <api_key>.
Path Parameters
Request ID from a Fetch Hive API response (for example, req_019b1ad1193763f2367afc4cda5ab9df).
Response
request returned
Example:
"req_019b1ad1193763f2367afc4cda5ab9df"
Example:
"completed"
Example:
"prompt_completion"
Example:
"Completion"
Was this page helpful?

